﻿
if not nUI then nUI = {}; end
if not nUI_InfoPanels then nUI_InfoPanels = {}; end

local CreateFrame = CreateFrame;
local MouseIsOver = MouseIsOver;

nUI_INFOMODE_Professions  = 40;
nUI_INFOPANEL_Professions = "nUI_InfoPanel_Professions";

-------------------------------------------------------------------------------
-- default configuration

nUI_L[nUI_INFOPANEL_Professions]   		   		= "Info Panel: Professions"; -- this is the phrase shown in the mouseover tooltip
nUI_L[nUI_INFOPANEL_Professions.."Label"]		    = "Profs"; -- small word or abbreviation to show on the panel selector button


nUI_InfoPanels[nUI_INFOPANEL_Professions] =
{	
	enabled   = true,
	desc      = nUI_L[nUI_INFOPANEL_Professions],			-- player friendly name/description of the panel
	label     = nUI_L[nUI_INFOPANEL_Professions.."Label"],	-- label to use on the panel selection button face
	rotation  = nUI_INFOMODE_Professions,					-- index or position this panel appears on/in when clicking the selector button
	full_size = true;									-- this plugin requires the entire info panel port without the button bag
	
	options  =
	{
		enabled  = true,
	},
};

-------------------------------------------------------------------------------
-- master frame for the plugin

local plugin  = CreateFrame( "Frame", nUI_INFOPANEL_Professions, nUI_Dashboard.Anchor )
plugin.active = true

local function onProfessionsEvent()
	
	if event == "VARIABLES_LOADED" then
		
		if not IsAddOnLoaded( "Professions" ) then 
			LoadAddOn( "Professions" )
		end
		
		plugin.active = IsAddOnLoaded( "Professions" )
		
	end	
	
end

plugin:SetScript( "OnEvent", onProfessionsEvent )
plugin:RegisterEvent( "VARIABLES_LOADED" )


plugin.initPanel = function( container, options )

	plugin.container = container;
	plugin.options   = options;
	
	if options and options.enabled then
			
		plugin.setEnabled( true )
		
	end
end


plugin.sizeChanged = function( scale, height, width )
	
	local options  = plugin.options
	
	plugin.scale = scale
	ProfessionsFrame:SetWidth( width )
	ProfessionsFrame:SetHeight( height ) 
	
	--ProfessionsDrawBar:SetWidth( width )
	--ProfessionsDrawBar:SetHeight( height ) 
end	


plugin.setEnabled = function( enabled )

	if plugin.enabled ~= enabled then
		
		plugin.enabled = enabled;

		ProfessionsFrame:ClearAllPoints ()
		ProfessionsFrame:SetPoint ("CENTER", plugin.container, "CENTER", -1, -1);
		
	--	ProfessionsDrawBar:ClearAllPoints ()
	--	ProfessionsDrawBar:SetPoint ("CENTER", ProfessionsFrame, "CENTER", -1, -1)
	end
end


plugin.setSelected = function( selected )

	if selected ~= plugin.selected then

		plugin.selected = selected;
		
		if selected then
			
			ProfessionsFrame:Show ();
			
		else
		
			ProfessionsFrame:Hide ();
			
		end

	end
end
